%define name    iv
%define version 2.5.1
%define release %mkrel 1

%define title       IV
%define longtitle   Image browser

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Image Viewer
Group:          Graphics
License:        GPL
Source:         http://wolfsinger.com/~wolfpack/packages/%{name}-%{version}.tar.bz2
Patch0:         iv-2.5.1-fix-build-errors.patch
Patch1:         iv-2.5.1-fix-lib64-build.patch
BuildRequires:  X11-devel
BuildRequires:  gtk+-devel
BuildRequires:  imlib-devel
BuildRequires:  ImageMagick
BuildRequires:  ungif-devel
BuildRequires:  jpeg-devel
BuildRequires:  png-devel
BuildRequires:  mng-devel
BuildRequires:  libxxf86vm-static-devel
BuildRequires:  endeavour-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Sometimes reffered to as ImgView or IV, this is a basic image viewer
with pan and zoom capabilities, depends on GTK+ and Imlib. Can also
save to many different formats, display transparency, crop, print, and
do window grabs.

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1

%build
export CFLAGS="%{optflags} -I%{_includedir}/endeavour2" 
%ifarch x86_64
%define platform Linux64
%else
%define platform Linux
%endif
./configure %{platform} \
    -v --disable=arch-i686 --libdir=-L%{_libdir} --enable=debug
%make all

%install
rm -rf %{buildroot}
%make PREFIX=%{buildroot}%_prefix MAN_DIR=%{buildroot}%{_mandir}/man1 install

# icons
convert %{name}/%{name}.xpm -resize 16x16 %{name}-16.png
convert %{name}/%{name}.xpm -resize 32x32 %{name}-32.png
convert %{name}/%{name}.xpm %{name}-48.png
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Viewer
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/%{name}.xpm
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.1-1mdv2009.1
+ Revision: 354872
- new version
- new version
- import iv

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild


* Sun May 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.4-1mdv2009.0
- new version

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-2mdv2007.0
- xdg menu

* Thu May 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-1mdk
- New release 1.4.2

* Wed Mar 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdk
- New release 1.4.1
- %%mkrel

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdk
- New release 1.2.1
- spec cleanup

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.8-2mdk 
- explicit libdir

* Fri Jun 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.8-1mdk 
- new version
- rpmbuildupdate aware

* Fri Jan 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.3-1mdk
- new version
- dropped patch

* Thu Jan 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.2-1mdk
- new version
- corrected URL
- buildrequires
- fix build

* Sun Jan 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3.1-1mdk
- new version

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.1.15-1mdk
- new version
- rediff patch
- used ImageMagick for icons

* Thu May 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.12-1mdk
- 0.1.12

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-3mdk
- rebuild

* Wed May 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.9-2mdk
- build with gcc3.1

* Fri Feb 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.9-1mdk
- first mdk release
